/* -*- c++ -*- */
/* 
 * Copyright 2017 <+YOU OR YOUR COMPANY+>.
 * 
 * This is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3, or (at your option)
 * any later version.
 * 
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this software; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street,
 * Boston, MA 02110-1301, USA.
 */

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include <gnuradio/io_signature.h>
#include "dumb_sink_impl.h"

namespace gr {
	namespace poopie {

		dumb_sink::sptr
			dumb_sink::make()
			{
				return gnuradio::get_initial_sptr
					(new dumb_sink_impl());
			}

		/*
		 * The private constructor
		 */
		dumb_sink_impl::dumb_sink_impl()
			: gr::sync_block("dumb_sink",
					gr::io_signature::make(0, 0, 0),
					gr::io_signature::make(0, 0, 0))
		{
			this->count = 0;
			this->message_port_register_in(pmt::mp("pdus"));
			this->set_msg_handler(pmt::mp("pdus"), boost::bind(&dumb_sink_impl::handlePdu, this, _1));
		}

		void dumb_sink_impl::handlePdu(pmt::pmt_t pdu){
			this->count++;
		}

		/*
		 * Our virtual destructor.
		 */
		dumb_sink_impl::~dumb_sink_impl()
		{
		}

		int
			dumb_sink_impl::work(int noutput_items,
					gr_vector_const_void_star &input_items,
					gr_vector_void_star &output_items)
			{
				return noutput_items;
			}

	} /* namespace poopie */
} /* namespace gr */

