/* -*- c++ -*- */
/* 
 * Copyright 2017 <+YOU OR YOUR COMPANY+>.
 * 
 * This is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3, or (at your option)
 * any later version.
 * 
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this software; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street,
 * Boston, MA 02110-1301, USA.
 */

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include <gnuradio/io_signature.h>
#include "moocow_impl.h"

namespace gr {
	namespace poopie {

		moocow::sptr
			moocow::make()
			{
				return gnuradio::get_initial_sptr
					(new moocow_impl());
			}

		/*
		 * The private constructor
		 */
		moocow_impl::moocow_impl()
			: gr::sync_block("moocow",
					gr::io_signature::make(1, 1, sizeof(gr_complex)),
					gr::io_signature::make(0, 0, 0))
		
		{
			this->message_port_register_out(pmt::mp("pdus"));	
		}

		/*
		 * Our virtual destructor.
		 */
		moocow_impl::~moocow_impl()
		{
		}

		int
			moocow_impl::work(int noutput_items,
					gr_vector_const_void_star &input_items,
					gr_vector_void_star &output_items)
			{
				const gr_complex *in = (const gr_complex *) input_items[0];
				
				this->message_port_pub(pmt::mp("pdus"), pmt::cons(pmt::make_dict(), pmt::from_uint64(0)));

				return noutput_items;
			}

	} /* namespace poopie */
} /* namespace gr */

