#!/usr/bin/python

from gnuradio import gr, blocks
import poopie
import pmt

tb = gr.top_block('test 1')

source = blocks.vector_source_c([complex(0,0)] * 10000, False)
block = poopie.moocow()

tb.connect(source, block)
tb.run()

print 'done with first run'






tb = gr.top_block('test 2')

source = blocks.vector_source_c([complex(0,0)] * 10000, False)
block = poopie.moocow()
sink = blocks.message_debug()

tb.connect(source, block)
tb.msg_connect((block, 'pdus'), (sink, 'print'))
tb.run()

print 'done with second run'






tb = gr.top_block('test 3')

source = blocks.vector_source_c([complex(0,0)] * 10000, False)
block = poopie.moocow()
sink = poopie.dumb_sink()

tb.connect(source, block)
tb.msg_connect((block, 'pdus'), (sink, 'pdus'))
tb.run()

print 'done with third run'






class moo(gr.sync_block):
	def __init__(self):
		gr.sink_block.__init__(self, 'moo', in_sig=[], out_sig=[])
		self.count = 0

		self.message_port_register_in(pmt.intern('pdus'))
		self.set_msg_handler(pmt.intern('pdus'), self.handlePdu)
	
	def handlePdu(self, pdu):
		self.count += 1
	
	def getCount(self):
		return self.count

	def work(self, input_items, output_items):
		return len(output_items[0])

tb = gr.top_block('test 4')

source = blocks.vector_source_c([complex(0,0)] * 10000, False)
block = poopie.moocow()
sink = moo()

tb.connect(source, block)
tb.msg_connect((block, 'pdus'), (sink, 'pdus'))
tb.run()

print 'done with fourth run'
